Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Static Protected Member Functions | Protected Attributes | List of all members
eZXHTMLXMLOutput Class Reference
Inheritance diagram for eZXHTMLXMLOutput:

## Public Member Functions
| __construct ( $xmlData, $aliasedType, $contentObjectAttribute=null)
| initHandlerSection ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerHeader ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerLink ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerEmbed ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerTable ( $element, &$attributes, &$siblingParams, &$parentParams)
| leavingHandlerTable ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerTr ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerTd ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerCustom ( $element, &$attributes, &$siblingParams, &$parentParams)
| renderParagraph ( $element, $childrenOutput, $vars)
| renderInline ( $element, $childrenOutput, $vars)
| renderLine ( $element, $childrenOutput, $vars)
| renderCustom ( $element, $childrenOutput, $vars)
| renderChildrenOnly ( $element, $childrenOutput, $vars)
| renderText ( $element, $childrenOutput, $vars)
Public Member Functions inherited from eZXMLOutputHandler
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
& | viewTemplateName ()
| isValid ()
| viewTemplateSuffix (&$contentobjectAttribute)
| xmlData ()
& | outputText ()
| prefetch ()
| getAttributeValueArray ( $tagName, $attributeName)
| outputTag ( $element, &$siblingParams, $parentParams=array())
| renderTag ( $element, $content, $vars)
| renderAll ( $element, $childrenOutput, $vars)
| callTagInitHandler ( $handlerName, $element, &$attributes, &$siblingParams, &$parentParams)
| callTagRenderHandler ( $handlerName, $element, $childrenOutput, $vars)

## Public Attributes
| $OutputTags
| $LinkParameters = array()
| Array of parameters for rendering tags that are children of 'link' tag. More...
| $HeaderCount = array()
| $RenderParagraphInTableCells = true
Public Attributes inherited from eZXMLOutputHandler
| $TemplateUri
| $OutputTags = array()
| $TemplatesPath = 'design:content/datatype/view/ezxmltags/'
| $XMLData
| Contains the XML data as text. More...
| $Document
| $XMLSchema
| $AliasedType
| $AliasedHandler
| $Output = ''
| $Tpl
| $TemplateURI = ''
| $Res
| $AllowMultipleSpaces = false
| $AllowNumericEntities = false
| $ContentObjectAttribute
| $ObjectAttributeID
| $LinkArray = array()
| Contains the URL's for <link> tags hashed by ID. More...
| $ObjectArray = array()
| Contains the Objects hashed by ID. More...
| $NodeArray = array()
| Contains the Nodes hashed by ID. More...
| $NestingLevel = 0

## Static Protected Member Functions
static | childTagCount (DOMElement $parent)

## Protected Attributes
| $SectionLevelStack = array()

## Detailed Description

Definition at line 11 of file ezxhtmlxmloutput.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXHTMLXMLOutput::__construct | ( |  | $xmlData,
|  |  | $aliasedType,
|  |  | $contentObjectAttribute = `null`
| ) |  |

Constructor

Parameters

  string | $xmlData |
  string | $aliasedType |
  eZContentObjectAttribute | null | $contentObjectAttribute |

Reimplemented from eZXMLOutputHandler.

Reimplemented in eZPDFXMLOutput.

Definition at line 128 of file ezxhtmlxmloutput.php.

## Member Function Documentation

## ◆ childTagCount()

static eZXHTMLXMLOutput::childTagCount | ( | DOMElement | $parent | ) |
| static protected

Definition at line 552 of file ezxhtmlxmloutput.php.

Referenced by initHandlerTable(), and initHandlerTr().

## ◆ initHandlerCustom()

eZXHTMLXMLOutput::initHandlerCustom | ( |  | $element,
|  | & | $attributes,
|  | & | $siblingParams,
|  | & | $parentParams
| ) |  |

Definition at line 490 of file ezxhtmlxmloutput.php.

## ◆ initHandlerEmbed()

eZXHTMLXMLOutput::initHandlerEmbed | ( |  | $element,
|  | & | $attributes,
|  | & | $siblingParams,
|  | & | $parentParams
| ) |  |

Definition at line 278 of file ezxhtmlxmloutput.php.

References eZContentObject\STATUS_PUBLISHED, eZDebug\writeNotice(), and eZDebug\writeWarning().

## ◆ initHandlerHeader()

eZXHTMLXMLOutput::initHandlerHeader | ( |  | $element,
|  | & | $attributes,
|  | & | $siblingParams,
|  | & | $parentParams
| ) |  |

Definition at line 159 of file ezxhtmlxmloutput.php.

## ◆ initHandlerLink()

eZXHTMLXMLOutput::initHandlerLink | ( |  | $element,
|  | & | $attributes,
|  | & | $siblingParams,
|  | & | $parentParams
| ) |  |

Definition at line 187 of file ezxhtmlxmloutput.php.

References eZDebug\writeWarning().

## ◆ initHandlerSection()

eZXHTMLXMLOutput::initHandlerSection | ( |  | $element,
|  | & | $attributes,
|  | & | $siblingParams,
|  | & | $parentParams
| ) |  |

Definition at line 137 of file ezxhtmlxmloutput.php.

## ◆ initHandlerTable()

eZXHTMLXMLOutput::initHandlerTable | ( |  | $element,
|  | & | $attributes,
|  | & | $siblingParams,
|  | & | $parentParams
| ) |  |

Reimplemented in eZPDFXMLOutput.

Definition at line 395 of file ezxhtmlxmloutput.php.

References childTagCount().

## ◆ initHandlerTd()

eZXHTMLXMLOutput::initHandlerTd | ( |  | $element,
|  | & | $attributes,
|  | & | $siblingParams,
|  | & | $parentParams
| ) |  |

Definition at line 454 of file ezxhtmlxmloutput.php.

## ◆ initHandlerTr()

eZXHTMLXMLOutput::initHandlerTr | ( |  | $element,
|  | & | $attributes,
|  | & | $siblingParams,
|  | & | $parentParams
| ) |  |

Definition at line 428 of file ezxhtmlxmloutput.php.

References childTagCount().

## ◆ leavingHandlerTable()

eZXHTMLXMLOutput::leavingHandlerTable | ( |  | $element,
|  | & | $attributes,
|  | & | $siblingParams,
|  | & | $parentParams
| ) |  |

Definition at line 421 of file ezxhtmlxmloutput.php.

## ◆ renderChildrenOnly()

eZXHTMLXMLOutput::renderChildrenOnly | ( |  | $element,
|  |  | $childrenOutput,
|  |  | $vars
| ) |  |

Definition at line 650 of file ezxhtmlxmloutput.php.

## ◆ renderCustom()

eZXHTMLXMLOutput::renderCustom | ( |  | $element,
|  |  | $childrenOutput,
|  |  | $vars
| ) |  |

Definition at line 637 of file ezxhtmlxmloutput.php.

References eZXMLOutputHandler\renderAll(), and renderInline().

## ◆ renderInline()

eZXHTMLXMLOutput::renderInline | ( |  | $element,
|  |  | $childrenOutput,
|  |  | $vars
| ) |  |

Definition at line 562 of file ezxhtmlxmloutput.php.

References eZXMLOutputHandler\renderTag().

Referenced by renderCustom().

## ◆ renderLine()

eZXHTMLXMLOutput::renderLine | ( |  | $element,
|  |  | $childrenOutput,
|  |  | $vars
| ) |  |

Definition at line 592 of file ezxhtmlxmloutput.php.

References eZXMLOutputHandler\renderTag().

## ◆ renderParagraph()

eZXHTMLXMLOutput::renderParagraph | ( |  | $element,
|  |  | $childrenOutput,
|  |  | $vars
| ) |  |

Definition at line 498 of file ezxhtmlxmloutput.php.

References eZXMLOutputHandler\renderTag().

## ◆ renderText()

eZXHTMLXMLOutput::renderText | ( |  | $element,
|  |  | $childrenOutput,
|  |  | $vars
| ) |  |

Definition at line 661 of file ezxhtmlxmloutput.php.

## Member Data Documentation

## ◆ $HeaderCount

eZXHTMLXMLOutput::$HeaderCount = array()

Definition at line 697 of file ezxhtmlxmloutput.php.

## ◆ $LinkParameters

eZXHTMLXMLOutput::$LinkParameters = array()

Array of parameters for rendering tags that are children of 'link' tag.

Definition at line 695 of file ezxhtmlxmloutput.php.

## ◆ $OutputTags

eZXHTMLXMLOutput::$OutputTags

Definition at line 14 of file ezxhtmlxmloutput.php.

## ◆ $RenderParagraphInTableCells

eZXHTMLXMLOutput::$RenderParagraphInTableCells = true

Definition at line 705 of file ezxhtmlxmloutput.php.

## ◆ $SectionLevelStack

eZXHTMLXMLOutput::$SectionLevelStack = array()
| protected

Definition at line 703 of file ezxhtmlxmloutput.php.

The documentation for this class was generated from the following file:

- ezxhtmlxmloutput.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.